List companies
curl --request GET \
--url https://api.morphic.io/api/companies/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '"<string>"'import requests
url = "https://api.morphic.io/api/companies/"
payload = "<string>"
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify('<string>')
};
fetch('https://api.morphic.io/api/companies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": {},
"domains": "<string>",
"industry": "<string>",
"company_size": "<string>",
"employee_count": 1,
"annual_revenue": 1,
"phone": "<string>",
"email": "jsmith@example.com",
"website": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postal_code": "<string>",
"linkedin_url": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"twitter_url": "<string>",
"twitter_handle": "<string>",
"twitter_follower_count": 1,
"description": "<string>",
"notes": "<string>",
"logo_url": "<string>",
"connection_strength": "<string>",
"status": "<string>",
"categories": [
"<string>"
],
"team_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"associated_deal_ids": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"metadata": {},
"enrichment": {},
"enrichment_provider": "<string>",
"enrichment_last_updated": "2023-11-07T05:31:56Z",
"enrichment_status": "<string>",
"is_favorite": false
}
],
"total": 123,
"page": 123,
"page_size": 123,
"pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Companies
List companies
Retrieve a paginated list of companies with optional filtering and sorting.
GET
/
api
/
companies
/
List companies
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Query Parameters
Comma-separated list of category IDs
JSON string of custom field filters
JSON string of basic filters
Sort by field:direction, e.g., 'name:asc' or 'created_at:desc'
Required range:
x >= 1Required range:
1 <= x <= 1000Body
application/json
⌘I